Shortest Subarray with Sum at Least K | Leetcode

แชร์
ฝัง
  • เผยแพร่เมื่อ 5 ก.ย. 2024

ความคิดเห็น • 52

  • @girishgawai_08_11
    @girishgawai_08_11 ปีที่แล้ว +7

    Improper explanation

  • @tonyz2203
    @tonyz2203 2 ปีที่แล้ว +18

    Just got an offer from amazon.
    Thank you so much for your videos.
    They helped me a lot when grinding leetcode🙏🙏

    • @jethalalnhk2409
      @jethalalnhk2409 2 ปีที่แล้ว

      Can you plz tell time gap between 2nd round and 3rd round bcoz I cleared 2nd round 1.5 months ago but still haven't got round 3 mail and also i haven't got rejection mail.

  • @aniketbasu3865
    @aniketbasu3865 2 ปีที่แล้ว +3

    in this provided code he made the dqueue deque dq; with integer data type replace it with long long new test case has been added in leetcode so due to overflow you will get wrong ans . so use long long

  • @vikneshcs4824
    @vikneshcs4824 3 หลายเดือนก่อน +1

    Why monotonocity is preserved? What happens when we include negatives

  • @vijaytirukkovalluru4535
    @vijaytirukkovalluru4535 2 ปีที่แล้ว +21

    Thanks for being a great teacher!

  • @lovleshbhatt7797
    @lovleshbhatt7797 5 หลายเดือนก่อน +1

    What is the intuition behind this algorithm and why monotonous increasing will work here, can anybody please explan?

  • @udaysingh-zi9xq
    @udaysingh-zi9xq 2 ปีที่แล้ว +3

    Hello Sir, if possible make a playlist of all important questions for interviews.This would help the community a lot!
    Your way of explanation is phenomenal that's why I am requesting you to provide these super helpful playlists here on youtube so that it helps those who can't afford resources.

  • @girishgawai_08_11
    @girishgawai_08_11 ปีที่แล้ว +1

    it doesn't make sense if you only explains a single example, also you are saying delete it if still the sum is greater but in end when 18-8

  • @livelittlewithdeeps
    @livelittlewithdeeps 2 ปีที่แล้ว +3

    I can't understand intuition behind this approach!! I have read many articles on leetcode also, but still...

  • @randomguy4822
    @randomguy4822 2 ปีที่แล้ว +2

    Sir you said , you only pop when sum is >= target , what if the array is [-12,-22,-33,5] and target is 4 , how would it work in this case ?

  • @darshansimha2166
    @darshansimha2166 2 ปีที่แล้ว +4

    Such an elegant and beautiful explanation. Thank you Surya Pratap 🙏🏽

  • @Pegasus02Kr
    @Pegasus02Kr 2 ปีที่แล้ว +4

    From the example, when we insert (4,3) why do we have to leave (2,0) to deque? As subarray should be contiguous, doesn't it also have to removed as its left to newly considering index 3?

    • @harigovind11
      @harigovind11 2 ปีที่แล้ว +4

      Think of this case. [2,-1,2], k = 3 . Now we will need to keep the index of first 2 in the array as well to get monotonically increasing value of complete subarray.

    • @Pegasus02Kr
      @Pegasus02Kr 2 ปีที่แล้ว +1

      @@harigovind11 Thanks for the explanation. Your example gave me the point I was missing.

  • @AJAYPAL-zu6lg
    @AJAYPAL-zu6lg 2 ปีที่แล้ว +3

    Congratulations sir 🎉 for getting AIR 1 in Google kick start

  • @ethanz4928
    @ethanz4928 ปีที่แล้ว

    in the first solution sliding window one which you said it won't work. if the right till the end, why not keep the left index and doing a seperate for loop start from this left index and shrinking again?

  • @ekengineer9868
    @ekengineer9868 ปีที่แล้ว +2

    Such a smooth explanation !

  • @HarshhPrajapati
    @HarshhPrajapati 2 ปีที่แล้ว +3

    🔥🔥🔥
    Sir, on which software(Blackboard) are you writing this??

  • @Gggggg172eyeyeurhuwue
    @Gggggg172eyeyeurhuwue 2 ปีที่แล้ว +1

    Thanks for the solution, but what is the point of keep [2,0] and [4,3] in the queue, what does it represent ?, isn't it non-contiguos.

    • @sakshigupta7616
      @sakshigupta7616 2 ปีที่แล้ว

      Think of this case. [2,-1,2], k = 3 . Now we will need to keep the index of first 2 in the array as well to get monotonically increasing value of complete subarray. So basically we can remove from deque only when the sum gets greater than k.. In other cases we should not delete it because it might be of use.

    • @suryasriram3090
      @suryasriram3090 2 ปีที่แล้ว

      I'm new to programming, can anyone of you tell me which is the best way to start learning coding? And best platform(which has the complete content)? Any good Websites?/video courses?

  • @surajjoshi3433
    @surajjoshi3433 ปีที่แล้ว

    Why popping elements from the deque won't affect the result?

  • @mk-mc8yx
    @mk-mc8yx 2 ปีที่แล้ว +1

    I have not looked at Leetcode. I guess there are at least 1000 problems. How do one remember the logic, even after practicing or understanding the logic, I do tend to forget things. Guess its sign of aging :(

  • @anshugangwar7344
    @anshugangwar7344 2 ปีที่แล้ว

    Calculating Max Sum of Array with the following condition, If A[i] element contributing in max sum,than you can't consider A[i]-1 and A[i]+1 element for max sum contribution, if present in array .
    Note: Elements of the array can be repeated multiple times. It's unsorted. It can have 1 to n number of element.
    eg:
    int A[ ]={1,6,7,1,2,3,3,4,5,5,5,6,9,10};
    If I consider 10 as contributing max sum, I can consider 9 and 11. (Here 11 is not present but 9 is present still we can’t consider it).
    If I consider 5 (total max sum contribution 5*3) but can’t consider 4 and 6.
    I have tried sorting and storing index and count in the ordered map. Also try to compare with unbounded knapsack criteria.
    Still, I was struggling with an optimal and clear idea to calculate. Any idea how to approach it .

    • @Yash-uk8ib
      @Yash-uk8ib 2 ปีที่แล้ว

      Consider storing the elements into an array (hashing) and apply house robber (kind of, but the approach would be similar) on this freqency Array

  • @shubhamthakur-wo4um
    @shubhamthakur-wo4um 2 ปีที่แล้ว

    How would this logic work out for [2, -1, 2] and target = 3 ? As per the analysis, the final queue is [ (1,1) , (3,2)]. But the answer is 3.

    • @suryasriram3090
      @suryasriram3090 2 ปีที่แล้ว

      Hi, can you tell me which is the best way to start learning coding? And best platform(which has the complete content)? Any good Websites?/video courses?

    • @singhontop
      @singhontop 2 ปีที่แล้ว

      i am also stuck on then same case, did you find any solution for it?

    • @ENGCS_JaiSaxena
      @ENGCS_JaiSaxena ปีที่แล้ว

      Guys even if leetcode test case pass , this approach is wrong for generally solving the questions, thousands of test case will fail

  • @techstuff9830
    @techstuff9830 ปีที่แล้ว

    Sir what about binary search approach when binary search on possible lengths and finding if this length is possible or not by sliding window, why this approach is giving me wrong on 87/97

    • @atharvasingh5568
      @atharvasingh5568 4 หลายเดือนก่อน

      The numbers are negative also in array thus thinking that increasing window size would increase sum is wrong

  • @naniscompass3173
    @naniscompass3173 2 ปีที่แล้ว

    What is the name of this tool (colour pens) which is your using to write on blackboard?

  • @vineettomar2535
    @vineettomar2535 2 ปีที่แล้ว

    Code not workingon leetcode now as few more test cases added

  • @Jeremy-yb5yo
    @Jeremy-yb5yo 2 ปีที่แล้ว +1

    Stopped making new videos?

  • @mohithadiyal6083
    @mohithadiyal6083 ปีที่แล้ว

    Such amazing explanation 😁😁

  • @latchireddiekalavya4683
    @latchireddiekalavya4683 11 หลายเดือนก่อน

    nice explanation sir!!

  • @guneetmalhotra01
    @guneetmalhotra01 2 ปีที่แล้ว

    Can anyone tell me which blackboard software is this?

  • @rtadwq...------...----.
    @rtadwq...------...----. 2 ปีที่แล้ว

    Nice explanation sir

  • @ismail8973
    @ismail8973 2 ปีที่แล้ว +2

    💥💥

  • @Hrit
    @Hrit 2 ปีที่แล้ว

    Clean Explanation. Thanks!

  • @bchen1403
    @bchen1403 2 ปีที่แล้ว

    Great explanation with clear visualization.

  • @ChandraSekhar-tr7sf
    @ChandraSekhar-tr7sf 2 ปีที่แล้ว +2

    Not so intuitive

  • @manikk634
    @manikk634 2 ปีที่แล้ว +1

    Not able to get the case with above approach is [5, 7, -12, 20, 5, 2, 1, 23] target =8 minimal subarray is -12, 20

    • @sakshigupta7616
      @sakshigupta7616 2 ปีที่แล้ว +1

      minimal subarray would be 20 here cause it is greater than 8. It is giving right answer, I checked on leetcode.

    • @keerthivasan138
      @keerthivasan138 2 ปีที่แล้ว

      Bro Did you Find any Valid answer

    • @ENGCS_JaiSaxena
      @ENGCS_JaiSaxena ปีที่แล้ว

      ​@@sakshigupta7616then solve for this [7,-1,6,1,1,1]
      K= 9

  • @hxx15
    @hxx15 2 ปีที่แล้ว

    I love you bro

  • @amitmannur8743
    @amitmannur8743 2 ปีที่แล้ว

    cool solution but not upto mark in explaining ,